const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const comic_contents = sequelize.define(
    'comic_contents',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  comic_contents.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity





























//end loop



    db.comic_contents.belongsTo(db.products, {
      as: 'product',
      foreignKey: {
        name: 'productId',
      },
      constraints: false,
    });



    db.comic_contents.hasMany(db.file, {
      as: 'comic_pdf',
      foreignKey: 'belongsToId',
      constraints: false,
      scope: {
        belongsTo: db.comic_contents.getTableName(),
        belongsToColumn: 'comic_pdf',
      },
    });


    db.comic_contents.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.comic_contents.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return comic_contents;
};


